%define lib_major 9
%define lib_name %mklibname %{name} %{lib_major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %name

%define api 0.0

Name: vte
# fwang: we have vte3 for gtk3 flavour now
Version: 0.28.2
Release: %mkrel 4
Summary: A terminal emulator widget
License: LGPLv2+
Group: System/Libraries
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:	vte-0.25.90-alt_meta.patch
Patch1: vte-0.28.0-link.patch
Patch2: vte-0.28.2-scale.patch
BuildRequires: pkgconfig(cairo-xlib)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26.0
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.20.0
BuildRequires: pkgconfig(pango) >= 1.22.0
BuildRequires: pkgconfig(x11)
BuildRequires: ncurses-devel
BuildRequires: gtk-doc
BuildRequires: pygtk2.0-devel
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
URL: http://www.gnome.org/

%description
VTE is a terminal emulator widget for use with GTK+ 2.0.

%package -n python-%{name}
Summary: Python binding for VTE
Group: Development/Python
Requires: %{name} >= %{version}

%description -n  python-%{name}
Python binding for VTE, a terminal emulator widget for use 
with GTK+ 2.0.

%package -n %{lib_name}
Summary: A terminal emulator widget
Group: System/Libraries
Requires: %{name} >= %{version}
Conflicts: gir-repository < 0.6.6

%description -n %{lib_name}
VTE is a terminal emulator widget for use with GTK+ 2.0. 

%package -n %develname
Summary: Files needed for developing applications which use VTE
Group: Development/C
Provides:  lib%{name}-devel = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
Requires:  %{lib_name} = %{version}-%release
Requires:  %{girname} = %{version}-%release
Obsoletes: %mklibname -d %name 9

%description -n %develname
VTE is a terminal emulator widget for use with GTK+ 2.0.  This
package contains the files needed for building applications using VTE.

%package -n %{girname}
Summary: GObject Introspection interface description for vte with GTK+ 2.0
Group: System/Libraries
Requires: %{lib_name} = %{version}-%{release}
Conflicts: %{lib_name} < 0.28.1-2
Conflicts: gir-repository < 0.6.6

%description -n %{girname}
GObject Introspection interface description for vte with GTK+ 2.0.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-shared --disable-static --libexecdir=%{_libdir}/%{name} --enable-python --enable-gtk-doc --enable-introspection --with-gtk=2.0
%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

find %{buildroot} -name '*.la' |xargs rm

%find_lang %{name}-%{api}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}-%api.lang
%defattr(-,root,root)
%doc COPYING HACKING NEWS README
%{_bindir}/vte
%dir %{_libdir}/%{name}
%attr(2711,root,utmp) %{_libdir}/%{name}/gnome-pty-helper
%{_datadir}/%{name}/termcap-%{api}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libvte.so.%{lib_major}*

%files -n %{girname}
%_libdir/girepository-1.0/Vte-0.0.typelib

%files -n %develname
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/vte-%{api}
%{_includedir}/vte-%{api}
%{_libdir}/libvte.so
%{_libdir}/pkgconfig/vte.pc
%{_libdir}/pkgconfig/pyvte.pc
%_datadir/pygtk/2.0/defs/vte.defs
%_datadir/gir-1.0/Vte-0.0.gir

%files -n python-%{name}
%defattr(-,root,root)
%py_platsitedir/gtk-2.0/vtemodule.so


%changelog

* Fri Apr 06 2012 bertl <bertl> 0.28.2-4.mga2
+ Revision: 228837
- added patch to allow for scaled background images

* Sat Jan 28 2012 fwang <fwang> 0.28.2-3.mga2
+ Revision: 202521
- change br into pkgconfig style
- revolk patch
- revert previous changes, as we have vte3 for this flavour

  + tv <tv>
    - BR gtk+3-devel instead of gtk+2-devel
    - new release

* Sat Sep 17 2011 fwang <fwang> 0.28.2-2.mga2
+ Revision: 144499
- only build gtk2 flavour

* Mon Aug 29 2011 fwang <fwang> 0.28.2-1.mga2
+ Revision: 136120
- new version 0.28.2
- split out typelib

* Wed Jun 15 2011 fwang <fwang> 0.28.1-1.mga2
+ Revision: 107080
- new version 2.28.1
- add gtk3 flavour
- add python linking patch from mandriva

* Sun Jan 16 2011 pterjan <pterjan> 0.26.2-2.mga1
+ Revision: 20565
- Drop obsolete Obsoletes
- imported package vte

